[arch-commits] Commit in catalyst/trunk (ChangeLog PKGBUILD catalyst.install)

Jan de Groot jgc at archlinux.org
Fri Oct 17 17:17:40 EDT 2008


    Date: Friday, October 17, 2008 @ 17:17:40
  Author: jgc
Revision: 15720

upgpkg: catalyst 8.11-0.1

Modified:
  catalyst/trunk/ChangeLog
  catalyst/trunk/PKGBUILD
  catalyst/trunk/catalyst.install

------------------+
 ChangeLog        |    6 ++++-
 PKGBUILD         |   62 +++++++++++++++++------------------------------------
 catalyst.install |   30 +++----------------------
 3 files changed, 30 insertions(+), 68 deletions(-)

Modified: ChangeLog
===================================================================
--- ChangeLog	2008-10-17 21:15:35 UTC (rev 15719)
+++ ChangeLog	2008-10-17 21:17:40 UTC (rev 15720)
@@ -1,3 +1,8 @@
+2008-10-17 Jan de Groot <jgc at archlinux.org>
+  * 8.11-0.1
+	Update to Ubuntu's prerelease of 8.11.
+	Support xorg-server 1.5
+
 2008-08-22 Andreas Radke <andyrtr at archlinux.org>
 
   * 8.8-1
@@ -3,5 +8,4 @@
 	New upstream release.
 
-
 2008-06-22 Andreas Radke <andyrtr at archlinux.org>
 

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-17 21:15:35 UTC (rev 15719)
+++ PKGBUILD	2008-10-17 21:17:40 UTC (rev 15720)
@@ -3,9 +3,9 @@
 # Contributor: amdviaman
 
 pkgname=catalyst
-pkgver=8.8
+pkgver=8.11
 _kernel_version=2.6.27
-pkgrel=2
+pkgrel=0.1
 pkgdesc="Proprietary AMD/ATI kernel drivers for Radeon brand cards. Stock kernel."
 arch=('i686' 'x86_64')
 url="http://www.ati.amd.com"
@@ -13,49 +13,29 @@
 depends=("catalyst-utils>=${pkgver}" "kernel26>=2.6.27" "kernel26<2.6.28")
 makedepends=()
 replaces=('ati-fglrx' 'fglrx') # Yay rebranding
-install=${pkgname}.install
-source=(http://www2.ati.com/drivers/linux/ati-driver-installer-${pkgver/./-}-x86.x86_64.run
-        2.6.27.patch)
-md5sums=('276976fb5aaf108efcdbf37256bf6d51'
-         '99c87235ff9e1cb62e4127f959a96499')
+install=catalyst.install
+source=(http://archive.ubuntu.com/ubuntu/pool/multiverse/f/fglrx-installer/fglrx-installer_8.543.orig.tar.gz)
 _kernver=${_kernel_version}-ARCH
+md5sums=('6abc8e86f1a00168ba8f43d58f71cb69')
 
 build() {
-    cd $startdir/src
+  if [ "${CARCH}" = "x86_64" ]; then
+    BUILDARCH=x86_64
+    _archdir=x86_64
+  fi
+  if [ "${CARCH}" = "i686" ]; then
+    BUILDARCH=i386
+    _archdir=x86
+  fi
 
-    [ "$CARCH" = "i686" ] && _arch="x86"
-    [ "$CARCH" = "x86_64" ] && _arch="x86_64"
+  cd "${srcdir}/lib/modules/fglrx/build_mod"
+  cp "${srcdir}/arch/${_archdir}/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC4" . || return 1
+  cp 2.6.x/Makefile . || return 1
+  make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" ARCH=${BUILDARCH} modules || return 1
 
-    /bin/sh ./ati-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
-    cd $startdir/src/archive_files/common
-    patch -Np2 -i $startdir/src/2.6.27.patch || return 1
+  install -m755 -d "${pkgdir}/lib/modules/${_kernver}/video/"
+  install -m644 fglrx.ko "${pkgdir}/lib/modules/${_kernver}/video/" || return 1
 
-    cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r 
-    cp $startdir/src/archive_files/common/* $startdir/src/ -r 
-
-    if [ "$CARCH" == "x86_64" ]; then
-      BUILDARCH=x86_64
-      cp $startdir/src/archive_files/x710_64a/* $startdir/src/ -r
-    else
-      BUILDARCH=i386
-      cp $startdir/src/archive_files/x710/* $startdir/src/ -r
-    fi
-    cd $startdir/src
-    cd $startdir/src/lib/modules/fglrx/build_mod/
-
-    # Build the kernel module
-    cp 2.6.x/Makefile .
-    make -C /lib/modules/${_kernver}/build SUBDIRS="`pwd`" ARCH=$BUILDARCH modules || return 1
-
-    # Install the kernel module
-    install -m 644 -D $startdir/src/lib/modules/fglrx/build_mod/fglrx.ko \
-        $startdir/pkg/lib/modules/${_kernver}/video/fglrx.ko
-
-    sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" $startdir/$install
-
-    # install licenses
-    install -m 0644 -D $startdir/src/archive_files/ATI_LICENSE.TXT \
-                     $startdir/pkg/usr/share/licenses/${pkgname}/AMD_ATI_LICENSE.TXT
-
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  install -m644 "${srcdir}/usr/share/doc/fglrx/ATI_LICENSE.TXT" "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 }
-

Modified: catalyst.install
===================================================================
--- catalyst.install	2008-10-17 21:15:35 UTC (rev 15719)
+++ catalyst.install	2008-10-17 21:17:40 UTC (rev 15720)
@@ -1,35 +1,13 @@
-# This is a default template for a post-install scriptlet.  You can
-# remove any functions you don't need (and this header).
+KERNEL_VERSION=2.6.27-ARCH
 
-# arg 1:  the new package version
-pre_install() {
-  /bin/true
-}
-
-# arg 1:  the new package version
 post_install() {
-  echo "PLEASE NOTE:"
-  echo "--------------------------------------------------------------"
-  echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
-  echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
-  echo "--------------------------------------------------------------"
-  KERNEL_VERSION=2.6.27-ARCH
-  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  depmod $KERNEL_VERSION
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
-  KERNEL_VERSION=2.6.27-ARCH
-  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  depmod $KERNEL_VERSION
 }
 
-# arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION=2.6.27-ARCH
-  depmod -v $KERNEL_VERSION > /dev/null 2>&1
+  depmod $KERNEL_VERSION
 }
-
-op=$1
-shift
-$op $*




More information about the arch-commits mailing list